# state file generated using paraview version 5.4.1

# ----------------------------------------------------------------
# setup views used in the visualization
# ----------------------------------------------------------------

#### import the simple module from the paraview
from paraview.simple import *
#### disable automatic camera reset on 'Show'
paraview.simple._DisableFirstRenderCameraReset()

# Create a new 'Render View'
renderView1 = CreateView('RenderView')
renderView1.ViewSize = [1482, 813]
renderView1.InteractionMode = '2D'
renderView1.AxesGrid = 'GridAxes3DActor'
renderView1.CenterOfRotation = [0.04999999841675162, 0.04999999841675162, 0.004999998956918716]
renderView1.StereoType = 0
renderView1.CameraPosition = [0.06417567876118208, 0.04959339480843679, 0.3913589002590849]
renderView1.CameraFocalPoint = [0.06417567876118208, 0.04959339480843679, 0.004999998956918716]
renderView1.CameraParallelScale = 0.06829932511569269
renderView1.Background = [1.0, 1.0, 1.0]

# ----------------------------------------------------------------
# setup the data processing pipelines
# ----------------------------------------------------------------

# create a new 'OpenFOAMReader'
cavityFinefoam = OpenFOAMReader(FileName='C:\\Program Files\\blueCFD-Core-2017\\msys64\\home\\ofuser\\cavityFine\\cavityFine.foam')
cavityFinefoam.MeshRegions = ['internalMesh']
cavityFinefoam.CellArrays = ['U', 'Ux', 'Uy', 'Uz', 'p']

# create a new 'Slice'
slice1 = Slice(Input=cavityFinefoam)
slice1.SliceType = 'Plane'
slice1.SliceOffsetValues = [0.0]

# init the 'Plane' selected for 'SliceType'
slice1.SliceType.Origin = [0.0, 0.0, 0.005]
slice1.SliceType.Normal = [0.0, 0.0, 1.0]

# create a new 'Stream Tracer'
streamTracer1 = StreamTracer(Input=cavityFinefoam,
    SeedType='High Resolution Line Source')
streamTracer1.Vectors = ['POINTS', 'U']
streamTracer1.MaximumStepLength = 0.2
streamTracer1.MaximumSteps = 1000
streamTracer1.MaximumStreamlineLength = 0.10000000149011612

# init the 'High Resolution Line Source' selected for 'SeedType'
streamTracer1.SeedType.Point1 = [0.05, 0.0, 0.005]
streamTracer1.SeedType.Point2 = [0.05, 0.1, 0.005]
streamTracer1.SeedType.Resolution = 40

# ----------------------------------------------------------------
# setup color maps and opacity mapes used in the visualization
# note: the Get..() functions create a new object, if needed
# ----------------------------------------------------------------

# get color transfer function/color map for 'p'
pLUT = GetColorTransferFunction('p')
pLUT.RGBPoints = [-3.6264901161193848, 0.231373, 0.298039, 0.752941, 0.22195982933044434, 0.865003, 0.865003, 0.865003, 4.070409774780273, 0.705882, 0.0156863, 0.14902]
pLUT.ScalarRangeInitialized = 1.0

# get opacity transfer function/opacity map for 'p'
pPWF = GetOpacityTransferFunction('p')
pPWF.Points = [-3.6264901161193848, 0.0, 0.5, 0.0, 4.070409774780273, 1.0, 0.5, 0.0]
pPWF.ScalarRangeInitialized = 1

# get color transfer function/color map for 'U'
uLUT = GetColorTransferFunction('U')
uLUT.RGBPoints = [3.02361992913904e-08, 0.231373, 0.298039, 0.752941, 0.5000000151180997, 0.865003, 0.865003, 0.865003, 1.0, 0.705882, 0.0156863, 0.14902]
uLUT.ScalarRangeInitialized = 1.0

# get opacity transfer function/opacity map for 'U'
uPWF = GetOpacityTransferFunction('U')
uPWF.Points = [3.02361992913904e-08, 0.0, 0.5, 0.0, 1.0, 1.0, 0.5, 0.0]
uPWF.ScalarRangeInitialized = 1

# ----------------------------------------------------------------
# setup the visualization in view 'renderView1'
# ----------------------------------------------------------------

# show data from cavityFinefoam
cavityFinefoamDisplay = Show(cavityFinefoam, renderView1)
# trace defaults for the display properties.
cavityFinefoamDisplay.Representation = 'Surface'
cavityFinefoamDisplay.ColorArrayName = ['POINTS', 'p']
cavityFinefoamDisplay.LookupTable = pLUT
cavityFinefoamDisplay.OSPRayScaleArray = 'p'
cavityFinefoamDisplay.OSPRayScaleFunction = 'PiecewiseFunction'
cavityFinefoamDisplay.SelectOrientationVectors = 'U'
cavityFinefoamDisplay.ScaleFactor = 0.010000000149011612
cavityFinefoamDisplay.SelectScaleArray = 'p'
cavityFinefoamDisplay.GlyphType = 'Arrow'
cavityFinefoamDisplay.GlyphTableIndexArray = 'p'
cavityFinefoamDisplay.DataAxesGrid = 'GridAxesRepresentation'
cavityFinefoamDisplay.PolarAxes = 'PolarAxesRepresentation'
cavityFinefoamDisplay.ScalarOpacityFunction = pPWF
cavityFinefoamDisplay.ScalarOpacityUnitDistance = 0.012121546752359788
cavityFinefoamDisplay.GaussianRadius = 0.005000000074505806
cavityFinefoamDisplay.SetScaleArray = ['POINTS', 'p']
cavityFinefoamDisplay.ScaleTransferFunction = 'PiecewiseFunction'
cavityFinefoamDisplay.OpacityArray = ['POINTS', 'p']
cavityFinefoamDisplay.OpacityTransferFunction = 'PiecewiseFunction'

# show data from streamTracer1
streamTracer1Display = Show(streamTracer1, renderView1)
# trace defaults for the display properties.
streamTracer1Display.Representation = 'Surface'
streamTracer1Display.ColorArrayName = ['POINTS', 'U']
streamTracer1Display.LookupTable = uLUT
streamTracer1Display.OSPRayScaleArray = 'p'
streamTracer1Display.OSPRayScaleFunction = 'PiecewiseFunction'
streamTracer1Display.SelectOrientationVectors = 'Normals'
streamTracer1Display.ScaleFactor = 0.009997197838856664
streamTracer1Display.SelectScaleArray = 'p'
streamTracer1Display.GlyphType = 'Arrow'
streamTracer1Display.GlyphTableIndexArray = 'p'
streamTracer1Display.DataAxesGrid = 'GridAxesRepresentation'
streamTracer1Display.PolarAxes = 'PolarAxesRepresentation'
streamTracer1Display.GaussianRadius = 0.004998598919428332
streamTracer1Display.SetScaleArray = ['POINTS', 'p']
streamTracer1Display.ScaleTransferFunction = 'PiecewiseFunction'
streamTracer1Display.OpacityArray = ['POINTS', 'p']
streamTracer1Display.OpacityTransferFunction = 'PiecewiseFunction'

# show color legend
streamTracer1Display.SetScalarBarVisibility(renderView1, True)

# show data from slice1
slice1Display = Show(slice1, renderView1)
# trace defaults for the display properties.
slice1Display.Representation = 'Outline'
slice1Display.AmbientColor = [0.0, 0.0, 0.0]
slice1Display.ColorArrayName = ['POINTS', '']
slice1Display.OSPRayScaleArray = 'p'
slice1Display.OSPRayScaleFunction = 'PiecewiseFunction'
slice1Display.SelectOrientationVectors = 'U'
slice1Display.ScaleFactor = 0.010000000149011612
slice1Display.SelectScaleArray = 'p'
slice1Display.GlyphType = 'Arrow'
slice1Display.GlyphTableIndexArray = 'p'
slice1Display.DataAxesGrid = 'GridAxesRepresentation'
slice1Display.PolarAxes = 'PolarAxesRepresentation'
slice1Display.GaussianRadius = 0.005000000074505806
slice1Display.SetScaleArray = ['POINTS', 'p']
slice1Display.ScaleTransferFunction = 'PiecewiseFunction'
slice1Display.OpacityArray = ['POINTS', 'p']
slice1Display.OpacityTransferFunction = 'PiecewiseFunction'

# setup the color legend parameters for each legend in this view

# get color legend/bar for pLUT in view renderView1
pLUTColorBar = GetScalarBar(pLUT, renderView1)
pLUTColorBar.WindowLocation = 'UpperRightCorner'
pLUTColorBar.Title = 'p'
pLUTColorBar.ComponentTitle = ''

# get color legend/bar for uLUT in view renderView1
uLUTColorBar = GetScalarBar(uLUT, renderView1)
uLUTColorBar.Title = 'U'
uLUTColorBar.ComponentTitle = 'Magnitude'

# ----------------------------------------------------------------
# finally, restore active source
SetActiveSource(streamTracer1)
# ----------------------------------------------------------------